From 096fc044170aa40a99dd66b0a8b072ef76327ddb Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.com>
Date: Fri, 24 Apr 2020 15:17:06 +0100
Subject: [PATCH] overlays: rpivid-v4l2 also needs size-cells = 2

Fixes: "dts: bcm2711: set #size-cells = <2>"

Signed-off-by: Phil Elwell <phil@raspberrypi.com>
---
 arch/arm/boot/dts/overlays/rpivid-v4l2-overlay.dts | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

--- a/arch/arm/boot/dts/overlays/rpivid-v4l2-overlay.dts
+++ b/arch/arm/boot/dts/overlays/rpivid-v4l2-overlay.dts
@@ -13,11 +13,12 @@
 		__overlay__ {
 			/* needed to avoid dtc warning */
 			#address-cells = <2>;
-			#size-cells = <1>;
+			#size-cells = <2>;
+
 			codec@7eb10000 {
 				compatible = "raspberrypi,rpivid-vid-decoder";
-				reg = <0x0 0x7eb10000 0x1000>,	/* INTC */
-				      <0x0 0x7eb00000 0x10000>; /* HEVC */
+				reg = <0x0 0x7eb10000  0x0 0x1000>,  /* INTC */
+				      <0x0 0x7eb00000  0x0 0x10000>; /* HEVC */
 				reg-names = "intc",
 					    "hevc";
 
